#include <stdio.h>

//f-ja racuna produkt elem. j-tog stupca koji nisu nula
//za nulstupac vraca 0
double prod_stupca(double* x, int maxj, int m, int j)
{
    int i, pom=0;
    double p=1;

    for(i=0; i<m; i++){
        if(x[maxj*i+j]){
            pom=1;
            p*=x[maxj*i+j];
        }
    }

    return pom*p;
}


//f-ja vraca indeks j za koji je produkt min
void min_indeks(double* x, int maxj, int m, int n)
{
    int i, j, jmin;
    double pmin;

    jmin=0;
    pmin=prod_stupca(x,maxj,m,0);

    for(j=1; j<n; j++){
        if(pmin>prod_stupca(x,maxj,m,j)){
            pmin=prod_stupca(x,maxj,m,j);
            jmin=j;
        }
    }

    for(i=0; i<m; i++)
        printf("%g ", x[maxj*i+jmin]);
}

//ispis matrice
void ispis_matrice(double* x, int maxj, int m, int n)
{
    int i, j;

    for(i=0; i<m; i++){
        for(j=0; j<n; j++){
            printf("%g \t", x[maxj*i+j]);
        }
        printf("\n");
    }
}


int main(void)
{
    double x[][3]={{1,2,3},{-2,-5,2},{0,2,0},{1,2,3}};
    int m, n;

    m=sizeof(x)/sizeof(*x);
    n=sizeof(*x)/sizeof(**x);

    ispis_matrice((double*)x,3,m,n);
    min_indeks((double*)x,3,m,n);

    return 0;
}
