#include <stdio.h>

void ispis_mat(double x[][3], int m, int n)
{
    int i, j;

    for(i=0; i<m; i++){
        for(j=0; j<n; j++){
            printf("%8.2f", *(*(x+i)+j));
        }
        printf("\n\n");
    }
}

double prod_stupaca(double x[][3], int m, int j)
{
    int i,pom=0;
    double p=1;

    for(i=0; i<m; i++){
        if(x[i][j]){
            pom=1;
            p*=x[i][j];
        }
    }
    if(!pom) return 0;
    return p;
}

int main(void)
{
    double x[][3]={{0,2,3},{0,-5.5,6},{0,8,9},{0,11,12}}, minp;
    int mini,i,j,m,n;

    m=sizeof(x)/sizeof(*x);
    n=sizeof(*x)/sizeof(**x);

    ispis_mat(x,m,n);

    minp=prod_stupaca(x,m,0);
    mini=0;
    for(j=1; j<n; j++){
        if(minp>prod_stupaca(x,m,j)){
            minp=prod_stupaca(x,m,j);
            mini=j;
        }
    }

    printf("%d. stupac: ", mini+1);
    for(i=0; i<m; i++){
        printf("%.2f ",x[i][mini]);
    }
    printf("\n");

    return 0;
}
