/*Probati rijesiti zadatak uz pretpostavku da je matrica
dana u (jednodimenzionalnom) polju.
Uociti da u tom slucaju nemamo restrikciju na dimenziju
matrica (u ovom programu su sve funkcije napisane iskljucivo
za kvadratne matrice 1x1, 2x2 i 3x3).
*/

#include <stdio.h>

/*vraca 1 ako je matrica donjetrokutasta, inace 0*/
int dtrokut(double a[][3], int n)
{
    int i,j;

    for(i=0;i<n;i++){
        for(j=0;j<i;j++){
            if(a[j][i])
                return 0;
        }
    }
    return 1;
}

/*vraca 1 ako je matrica gornjetrokutasta, inace 0*/
int gtrokut(double a[][3], int n)
{
    int i,j;

    for(i=0;i<n;i++){
        for(j=0;j<i;j++){
            if(a[i][j])
                return 0;
        }
    }
    return 1;
}

/*
0-nista
1-identiteta
2-dijagonalna
3-gornjetrokutasta
4-donjetrokutasta*/
int klasa(double a[][3], int n)
{
    int d=dtrokut(a,n), g=gtrokut(a,n), i;

    if(d && g){
        for(i=0;i<n;i++){
            if(a[i][i]!=1)
                return 2;
        }
        return 1;
    }
    if(g)
        return 3;
    if(d)
        return 4;
    return 0;
}

int main(void)
{
    double a[][3]={{1,4,0},{0,5,0},{0,0,1}};
    int n;

    n=sizeof(a)/sizeof(*a);

    switch(klasa(a,n)){
        case 0: printf("NISTA\n"); break;
        case 1: printf("IDENTITETA\n"); break;
        case 2: printf("DIJAGONALNA\n"); break;
        case 3: printf("GORNJE-TROKUTASTA\n"); break;
        case 4: printf("DONJE-TROKUTASTA\n"); break;
    }
}
